%define name krb5-getcert
%define path /usr/
%define version 1.9
%define release 8

Summary: Convert a kerberos ticket to a pkcs12 certificate
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: GPL
URL: http://security.fnal.gov/tools/index.html
Group: Fermi
Packager: Troy Dawson <dawson@fnal.gov>
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArchitectures: noarch
Epoch: 50
BuildRequires: openssl-devel
BuildRequires: krb5-devel
Requires: kx509
Requires: nss-tools

%description
This script will try to get an x509 cert from
the FNAL KCA and convert it into a pkcs12 file
then attempt to auto-import it into Mozilla &
FireFox if possible

%prep
%setup

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/bin
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/share/man
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/share/man/man1

install -m 0755 get-cert.sh $RPM_BUILD_ROOT/%{path}/bin/get-cert.sh
install -m 0755 get-cert.sh $RPM_BUILD_ROOT/%{path}/bin/get-cert
install -m 0755 get-cert.sh $RPM_BUILD_ROOT/%{path}/bin/getcert
install -m 0644 get-cert.1 $RPM_BUILD_ROOT/%{path}/share/man/man1/get-cert.1

%files
%{path}/bin/getcert
%{path}/bin/get-cert
%{path}/bin/get-cert.sh
%{path}/share/man/man1/*

%changelog
* Tue Nov 17 2009 Troy Dawson <dawson@fnal.gov> 1.9-8
- Requires nss-tools to get pk12util

* Wed May 30 2007 Troy Dawson <dawson@fnal.gov> 1.9-7
- removed kx509 and kxlist
- made it require the rpm kx509

* Wed May 30 2007 Troy Dawson <dawson@fnal.gov> 1.9-4
- removed certutil and pk12util - they are already in the release
- added kx509 and kxlist

* Tue May 29 2007 Troy Dawson <dawson@fnal.gov> 1.8d-3
- First pass at the spec file
